You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@atlas.apache.org by su...@apache.org on 2016/07/01 18:08:52 UTC

incubator-atlas git commit: ATLAS-966 Exit execution of import_hive.sh if HIVE_HOME is not set (svimal2106 via sumasai)

Repository: incubator-atlas
Updated Branches:
  refs/heads/master 14863225d -> f623bddf8


ATLAS-966 Exit execution of import_hive.sh if HIVE_HOME is not set (svimal2106 via sumasai)


Project: http://git-wip-us.apache.org/repos/asf/incubator-atlas/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-atlas/commit/f623bddf
Tree: http://git-wip-us.apache.org/repos/asf/incubator-atlas/tree/f623bddf
Diff: http://git-wip-us.apache.org/repos/asf/incubator-atlas/diff/f623bddf

Branch: refs/heads/master
Commit: f623bddf80265f0a4874b2305d198a6cf399e469
Parents: 1486322
Author: Suma Shivaprasad <su...@gmail.com>
Authored: Fri Jul 1 11:08:32 2016 -0700
Committer: Suma Shivaprasad <su...@gmail.com>
Committed: Fri Jul 1 11:08:32 2016 -0700

----------------------------------------------------------------------
 addons/hive-bridge/src/bin/import-hive.sh | 16 +++++++++++-----
 release-log.txt                           |  1 +
 2 files changed, 12 insertions(+), 5 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-atlas/blob/f623bddf/addons/hive-bridge/src/bin/import-hive.sh
----------------------------------------------------------------------
diff --git a/addons/hive-bridge/src/bin/import-hive.sh b/addons/hive-bridge/src/bin/import-hive.sh
index 7a5c611..dc57de8 100755
--- a/addons/hive-bridge/src/bin/import-hive.sh
+++ b/addons/hive-bridge/src/bin/import-hive.sh
@@ -82,6 +82,17 @@ else
     exit 1
 fi
 
+echo Using Hive configuration directory ["$HIVE_CP"]
+
+if [ -z "$HIVE_HOME" ]; then
+    echo "Please set HIVE_HOME to the root of Hive installation"
+    exit 1
+fi
+
+for i in "${HIVE_HOME}/lib/"*.jar; do
+    HIVE_CP="${HIVE_CP}:$i"
+done
+
 #Add hadoop conf in classpath
 if [ ! -z "$HADOOP_CLASSPATH" ]; then
     HADOOP_CP=$HADOOP_CLASSPATH
@@ -95,10 +106,6 @@ else
     exit 1
 fi
 
-for i in "${HIVE_HOME}/lib/"*.jar; do
-    HIVE_CP="${HIVE_CP}:$i"
-done
-
 CP="${ATLASCPPATH}:${HIVE_CP}:${HADOOP_CP}"
 
 # If running in cygwin, convert pathnames and classpath to Windows format.
@@ -120,7 +127,6 @@ while [[ ${1} =~ ^\-D ]]; do
   shift
 done
 
-echo Using Hive configuration directory ["$HIVE_CP"]
 echo "Log file for import is $LOGFILE"
 
 "${JAVA_BIN}" ${JAVA_PROPERTIES} -cp "${CP}" org.apache.atlas.hive.bridge.HiveMetaStoreBridge

http://git-wip-us.apache.org/repos/asf/incubator-atlas/blob/f623bddf/release-log.txt
----------------------------------------------------------------------
diff --git a/release-log.txt b/release-log.txt
index 2f32122..5a6440c 100644
--- a/release-log.txt
+++ b/release-log.txt
@@ -6,6 +6,7 @@ INCOMPATIBLE CHANGES:
 
 
 ALL CHANGES:
+ATLAS-966 Exit execution of import_hive.sh if HIVE_HOME is not set (svimal2106 via sumasai)
 
 
 --Release 0.7-incubating